RT(4)

NAME
rt - AIMS Lab Radiotrack FM radio device

SYNOPSIS
rt0 at isa? port 0x30c
rt1 at isa? port 0x20c
rt* at isapnp?
radio* at rt?

DESCRIPTION
The rt driver provides support for the AIMS Lab Radiotrack FM radio tuners and compatible - RadioReveal RA300 FM radio tuners and tuners at SoundForte RadioX SF16-FMI (Creative ViBRA16C PnP).

The Radiotrack is a stereo FM tuner that can tune in the range 87.5 - 108.0 MHz, report signal status on the current frequency, and force audio output to mono.

The card is based on the LM7000 chip; see radio(4) for details.

The Radiotrack cards take only one I/O port. The I/O port is set by the driver to the value specified in the configuration file and must be either 0x20c or 0x30c.

SEE ALSO
intro(4), isa(4), isapnp(4), radio(4), radio(9)

HISTORY
The rt device driver appeared in OpenBSD 3.0.

AUTHORS
-nosplit The rt driver was written by Vladimir Popov <jumbo@narod.ru> and Maxim Tsyplakov <tm@oganer.net>. The man page was written by Vladimir Popov <jumbo@narod.ru>.

BUGS
Support for the SF16-FMI cards is rather ugly, the driver cannot determine signal state and force audio output to mono.

It is impossible to determine which frequency the card is tuned to. Thus, the driver will report an internally stored value even if it is not correct (e.g. tuning was done through the direct I/O access).